The makefile of pgaccess (CVS)

From: Kovacs Baldvin <kb136(at)hszk(dot)bme(dot)hu>
To: pgsql-hackers(at)postgresql(dot)org
Subject: The makefile of pgaccess (CVS)
Date: 2001-04-07 20:10:45
Message-ID: Pine.GSO.4.21.0104072208480.27305-200000@ural2
Views: Raw Message | Whole Thread | Download mbox | Resend email
Thread:
Lists: pgsql-hackers

Hi!

I had very funny problems with "make install" of the
CVS version. The clue was a bit strange behavior of bash
(/bin/sh is only a link in my debian).

The whole thing is about wildcard expansion: there's an
option called nocaseglob. I never heard of it before,
but this was the cause for the Error 1 while make install.
I don't know, what is the default of this option in
bash, but in my computer shows different behaviour with
interactive shells and non interactives.

I had to make a patch, qiute trivial, in src/bin/pgaccess/Makefile.
I changed the language-installer line so it checks whether it
doesn't really try to copy the CVS subdirectory as a language...

If anyone is interested in it, here's the patch:

--- ./src/bin/pgaccess/Makefile.orig Sun Feb 18 19:34:01 2001
+++ ./src/bin/pgaccess/Makefile Sat Apr 7 16:05:01 2001
@@ -30,7 +30,7 @@
$(INSTALL_SCRIPT) $(srcdir)/main.tcl $(DESTDIR)$(pgaccessdir)
for i in $(srcdir)/lib/*.tcl; do $(INSTALL_DATA) $$i $(DESTDIR)$(pgaccessdir)/lib || exit 1; done
for i in $(srcdir)/lib/help/*.hlp; do $(INSTALL_DATA) $$i $(DESTDIR)$(pgaccessdir)/lib/help || exit 1; done
- for i in $(srcdir)/lib/languages/[a-z]*; do $(INSTALL_DATA) $$i $(DESTDIR)$(pgaccessdir)/lib/languages || exit 1; done
+ for i in $(srcdir)/lib/languages/[a-z]*; do [ -f "$$i" ] && { $(INSTALL_DATA) $$i $(DESTDIR)$(pgaccessdir)/lib/languages || exit 1; }; done
for i in $(srcdir)/images/*.gif; do $(INSTALL_DATA) $$i $(DESTDIR)$(pgaccessdir)/images || exit 1; done

installdirs:

Bye,
Baldvin

Attachment Content-Type Size
Makefile.patch text/plain 807 bytes

Browse pgsql-hackers by date

  From Date Subject
Next Message Peter Eisentraut 2001-04-07 23:24:35 A more useful way to split the distribution
Previous Message Kovacs Baldvin 2001-04-07 20:08:45 Message of move